Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 209443007: Remove shape-inside support (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 4 months ago by rwlbuis
Modified:
3 years, 4 months ago
CC:
blink-reviews, shans, eae+blinkwatch, apavlov+blink_chromium.org, Steve Block, dino_apple.com, alancutter (OOO until 2018), bemjb+rendering_chromium.org, dsinclair, Timothy Loh, dstockwell, dglazkov+blink, jchaffraix+rendering, pdr., rune+blink, Eric Willigers, rjwright, zoltan1, darktears, leviw+renderwatch, Mike Lawther (Google), ed+blinkwatch_opera.com
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Visibility:
Public.

Description

CSS Shapes Level 1 (CR) only contains shape-outside. We are focusing our efforts on finalizing the implementation of shape-outside, it's worth to remove shape-inside code at this point for now. A list of reasons for the removal: - Shape-inside is only part of Shapes Level 2, which needs to be improved on some topics. - Shape-inside is lack of new shapes support (e.g. inset). - Deprecated shapes are removed from the code (e.g. rectangle), which affects shape-inside. - The current shape-inside code spreads across the layout code. - The current shape-inside implementation is experimental in some areas, and the partially implemented code can have security implications. - Removal of shape-inside opens possibilities for code complexity and performance optimizations for shape-outside. (e.g. simpler geometry code) BUG=356778 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=170260

Patch Set 1 #

Patch Set 2 : Try to fix tests #

Patch Set 3 : Fix moar tests #

Patch Set 4 : Fix more (all?) tests #

Total comments: 3

Patch Set 5 : Fix Zoltan's comments #

Total comments: 9

Patch Set 6 : Address Bem's comments #

Patch Set 7 : Remove now unused segmentIsEmpty #

Unified diffs Side-by-side diffs Delta from patch set Stats (+64 lines, -7983 lines) Patch
M LayoutTests/TestExpectations View 1 2 3 4 1 chunk +0 lines, -3 lines 0 comments Download
D LayoutTests/animations/interpolation/shape-inside.html View 1 2 1 chunk +0 lines, -45 lines 0 comments Download
D LayoutTests/animations/interpolation/shape-inside-expected.txt View 1 2 1 chunk +0 lines, -16 lines 0 comments Download
D LayoutTests/fast/shapes/parsing/parsing-shape-inside.html View 1 chunk +0 lines, -40 lines 0 comments Download
D LayoutTests/fast/shapes/parsing/parsing-shape-inside-expected.txt View 1 chunk +0 lines, -276 lines 0 comments Download
M LayoutTests/fast/shapes/parsing/parsing-shape-lengths.html View 1 chunk +3 lines, -3 lines 0 comments Download
M LayoutTests/fast/shapes/parsing/parsing-shape-lengths-expected.txt View 1 chunk +46 lines, -46 lines 0 comments Download
M LayoutTests/fast/shapes/parsing/parsing-shape-property-aliases.html View 1 chunk +0 lines, -1 line 0 comments Download
M LayoutTests/fast/shapes/parsing/parsing-shape-property-aliases-expected.txt View 1 chunk +0 lines, -1 line 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-floating-text-control.html View 1 chunk +0 lines, -32 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-floating-text-control-expected.html View 1 chunk +0 lines, -19 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-floats-simple.html View 1 chunk +0 lines, -40 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-floats-simple-expected.html View 1 chunk +0 lines, -40 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-lower-left-triangle-block-content.html View 1 chunk +0 lines, -42 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-lower-left-triangle-block-content-expected.html View 1 chunk +0 lines, -66 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-lower-left-triangle-inline-content.html View 1 chunk +0 lines, -41 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-lower-left-triangle-inline-content-expected.html View 1 chunk +0 lines, -66 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-lower-right-triangle.html View 1 chunk +0 lines, -39 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-lower-right-triangle-block-content.html View 1 chunk +0 lines, -42 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-lower-right-triangle-block-content-expected.html View 1 chunk +0 lines, -56 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-lower-right-triangle-expected.html View 1 chunk +0 lines, -36 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-lower-right-triangle-inline-content.html View 1 chunk +0 lines, -42 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-lower-right-triangle-inline-content-expected.html View 1 chunk +0 lines, -57 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-upper-left-triangle-block-content.html View 1 chunk +0 lines, -42 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-upper-left-triangle-block-content-expected.html View 1 chunk +0 lines, -47 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-upper-left-triangle-inline-content.html View 1 chunk +0 lines, -42 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-upper-left-triangle-inline-content-expected.html View 1 chunk +0 lines, -56 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-upper-left-triangle-vertical-lr-inline-content.html View 1 chunk +0 lines, -47 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-upper-left-triangle-vertical-lr-inline-content-expected.html View 1 chunk +0 lines, -60 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-upper-right-triangle.html View 1 chunk +0 lines, -36 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-upper-right-triangle-block-content.html View 1 chunk +0 lines, -43 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-upper-right-triangle-block-content-expected.html View 1 chunk +0 lines, -54 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-upper-right-triangle-expected.html View 1 chunk +0 lines, -36 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-upper-right-triangle-inline-content.html View 1 chunk +0 lines, -43 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-left-float-in-upper-right-triangle-inline-content-expected.html View 1 chunk +0 lines, -60 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-multiple-segment-polygon-floating-iframe-crash.html View 1 chunk +0 lines, -29 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-multiple-segment-polygon-floating-iframe-crash-expected.txt View 1 chunk +0 lines, -2 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-multiple-segment-polygon-floating-iframe-inline-content-crash.html View 1 chunk +0 lines, -29 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/floats/shape-inside-multiple-segment-polygon-floating-iframe-inline-content-crash-expected.txt View 1 chunk +0 lines, -2 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-animation.html View 1 chunk +0 lines, -65 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-animation-expected.txt View 1 chunk +0 lines, -4 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-bottom-edge.html View 1 chunk +0 lines, -46 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-bottom-edge-expected.html View 1 chunk +0 lines, -45 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-box-sizing.html View 1 chunk +0 lines, -94 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-box-sizing-expected.html View 1 chunk +0 lines, -88 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-calc-crash.html View 1 chunk +0 lines, -22 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-calc-crash-expected.txt View 1 chunk +0 lines, -6 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-circle.html View 1 chunk +0 lines, -35 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-circle-expected.html View 1 chunk +0 lines, -51 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-circle-padding.html View 1 chunk +0 lines, -36 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-circle-padding-expected.html View 1 chunk +0 lines, -42 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-coincident-vertices.html View 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-coincident-vertices-expected.html View 1 chunk +0 lines, -23 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-collinear-vertices.html View 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-collinear-vertices-expected.html View 1 chunk +0 lines, -23 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-complex-polygon-001.html View 1 chunk +0 lines, -39 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-complex-polygon-001-expected.html View 1 chunk +0 lines, -29 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-complex-polygon-002.html View 1 chunk +0 lines, -40 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-complex-polygon-002-expected.html View 1 chunk +0 lines, -30 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-complex-polygon-003.html View 1 chunk +0 lines, -41 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-complex-polygon-003-expected.html View 1 chunk +0 lines, -30 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-complex-polygon-004.html View 1 chunk +0 lines, -41 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-complex-polygon-004-expected.html View 1 chunk +0 lines, -30 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-content-box.html View 1 chunk +0 lines, -31 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-content-box-expected.html View 1 chunk +0 lines, -29 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-counterclockwise-polygon.html View 1 chunk +0 lines, -38 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-counterclockwise-polygon-expected.html View 1 chunk +0 lines, -38 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-dynamic-nested.html View 1 chunk +0 lines, -92 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-dynamic-nested-expected.html View 1 chunk +0 lines, -58 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-dynamic-shape.html View 1 chunk +0 lines, -33 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-dynamic-shape-expected.html View 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-dynamic-text.html View 1 chunk +0 lines, -33 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-dynamic-text-expected.html View 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-ellipse.html View 1 chunk +0 lines, -37 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-ellipse-expected.html View 1 chunk +0 lines, -41 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-ellipse-padding.html View 1 chunk +0 lines, -35 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-ellipse-padding-expected.html View 1 chunk +0 lines, -41 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-empty.html View 1 chunk +0 lines, -58 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-empty-expected.html View 1 chunk +0 lines, -40 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-empty-polygon-crash.html View 1 chunk +0 lines, -22 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-empty-polygon-crash-expected.txt View 1 chunk +0 lines, -4 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-empty-segments.html View 1 chunk +0 lines, -34 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-empty-segments-expected.html View 1 chunk +0 lines, -34 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-first-fit-001.html View 1 chunk +0 lines, -53 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-first-fit-001-expected.html View 1 chunk +0 lines, -52 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-first-fit-002.html View 1 chunk +0 lines, -32 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-first-fit-002-expected.html View 1 chunk +0 lines, -37 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-first-fit-003.html View 1 chunk +0 lines, -32 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-first-fit-003-expected.html View 1 chunk +0 lines, -37 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-first-fit-004.html View 1 chunk +0 lines, -32 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-first-fit-004-expected.html View 1 chunk +0 lines, -39 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-first-fit-crash.html View 1 chunk +0 lines, -27 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-first-fit-crash-expected.txt View 1 chunk +0 lines, -2 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-first-fit-reflex.html View 1 chunk +0 lines, -32 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-first-fit-reflex-expected.html View 1 chunk +0 lines, -37 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-image-001.html View 1 chunk +0 lines, -25 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-image-001-expected.html View 1 chunk +0 lines, -24 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-image-002.html View 1 chunk +0 lines, -24 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-image-002-expected.html View 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-image-003.html View 1 chunk +0 lines, -22 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-image-003-expected.html View 1 chunk +0 lines, -30 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-image-004.html View 1 chunk +0 lines, -23 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-image-004-expected.html View 1 chunk +0 lines, -31 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-image-005.html View 1 chunk +0 lines, -23 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-image-005-expected.html View 1 chunk +0 lines, -31 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-image-set.html View 1 chunk +0 lines, -20 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-image-set-expected.html View 1 chunk +0 lines, -20 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-multiple-blocks.html View 1 chunk +0 lines, -33 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-multiple-blocks-dynamic.html View 1 chunk +0 lines, -26 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-multiple-blocks-dynamic-expected.html View 1 chunk +0 lines, -26 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-multiple-blocks-expected.html View 1 chunk +0 lines, -33 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-multiple-blocks-vertical.html View 1 chunk +0 lines, -44 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-multiple-blocks-vertical-expected.html View 1 chunk +0 lines, -44 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-multiple-segments-001.html View 1 chunk +0 lines, -9 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-multiple-segments-001-expected.html View 1 chunk +0 lines, -9 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-multiple-segments-002.html View 1 chunk +0 lines, -9 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-multiple-segments-002-expected.html View 1 chunk +0 lines, -9 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-multiple-segments-003.html View 1 chunk +0 lines, -9 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-multiple-segments-003-expected.html View 1 chunk +0 lines, -9 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-multiple-segments-004.html View 1 chunk +0 lines, -29 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-multiple-segments-004-expected.html View 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-non-block-descendants.html View 1 chunk +0 lines, -18 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-non-block-descendants-expected.html View 1 chunk +0 lines, -15 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-offset-block-children.html View 1 chunk +0 lines, -47 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-offset-block-children-expected.html View 1 chunk +0 lines, -33 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-on-nested-container-with-unresolved-height.html View 1 chunk +0 lines, -29 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-on-nested-container-with-unresolved-height-expected.html View 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-outside-shape.html View 1 chunk +0 lines, -31 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-outside-shape-expected.html View 1 chunk +0 lines, -27 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-overflow.html View 1 chunk +0 lines, -34 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-overflow-expected.html View 1 chunk +0 lines, -32 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-overflow-fixed-dimensions.html View 1 chunk +0 lines, -43 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-overflow-fixed-dimensions-block-content.html View 1 chunk +0 lines, -45 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-overflow-fixed-dimensions-block-content-expected.html View 1 chunk +0 lines, -44 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-overflow-fixed-dimensions-expected.html View 1 chunk +0 lines, -48 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-partial-fill-001.html View 1 chunk +0 lines, -40 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-partial-fill-001-expected.html View 1 chunk +0 lines, -44 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-partial-fill-002.html View 1 chunk +0 lines, -40 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-partial-fill-002-expected.html View 1 chunk +0 lines, -44 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-percentage.html View 1 chunk +0 lines, -38 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-percentage-auto.html View 1 chunk +0 lines, -27 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-percentage-auto-expected.html View 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-percentage-expected.html View 1 chunk +0 lines, -42 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-polygon-layout.html View 1 chunk +0 lines, -60 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-polygon-layout-expected.txt View 1 chunk +0 lines, -8 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-polygon-padding-001.html View 1 chunk +0 lines, -33 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-polygon-padding-001-expected.html View 1 chunk +0 lines, -37 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-polygon-padding-002.html View 1 chunk +0 lines, -63 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-polygon-padding-002-expected.txt View 1 chunk +0 lines, -13 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-polygon-padding-003.html View 1 chunk +0 lines, -85 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-polygon-padding-003-expected.txt View 1 chunk +0 lines, -16 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-polygon-rectangle.html View 1 chunk +0 lines, -49 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-polygon-rectangle-expected.html View 1 chunk +0 lines, -49 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-polygon-rounded-first-fit.html View 1 chunk +0 lines, -37 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-polygon-rounded-first-fit-expected.html View 1 chunk +0 lines, -23 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-polygon-zoom.html View 1 chunk +0 lines, -36 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-polygon-zoom-expected.html View 1 chunk +0 lines, -42 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-rectilinear-polygon-001.html View 1 chunk +0 lines, -34 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-rectilinear-polygon-001-expected.html View 1 chunk +0 lines, -34 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-rectilinear-polygon-002.html View 1 chunk +0 lines, -34 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-rectilinear-polygon-002-expected.html View 1 chunk +0 lines, -35 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-rectilinear-polygon-003.html View 1 chunk +0 lines, -50 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-rectilinear-polygon-003-expected.html View 1 chunk +0 lines, -49 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-rectilinear-polygon-004.html View 1 chunk +0 lines, -50 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-rectilinear-polygon-004-expected.html View 1 chunk +0 lines, -50 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-recursive-layout.html View 1 chunk +0 lines, -96 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-recursive-layout-expected.html View 1 chunk +0 lines, -96 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-regular-polygon16.html View 1 chunk +0 lines, -33 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-regular-polygon16-expected.html View 1 chunk +0 lines, -33 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-regular-polygon8.html View 1 chunk +0 lines, -33 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-regular-polygon8-expected.html View 1 chunk +0 lines, -33 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-shape-logical-top.html View 1 chunk +0 lines, -27 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-shape-logical-top-expected.html View 1 chunk +0 lines, -35 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-sibling-block-dimension-change-needs-relayout.html View 1 chunk +0 lines, -49 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-sibling-block-dimension-change-needs-relayout-expected.html View 1 chunk +0 lines, -33 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-simple-polygon-001.html View 1 chunk +0 lines, -34 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-simple-polygon-001-expected.html View 1 chunk +0 lines, -34 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-simple-polygon-002.html View 1 chunk +0 lines, -35 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-simple-polygon-002-expected.html View 1 chunk +0 lines, -35 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-simple-polygon-003.html View 1 chunk +0 lines, -35 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-simple-polygon-003-expected.html View 1 chunk +0 lines, -35 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-simple-polygon-004.html View 1 chunk +0 lines, -35 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-simple-polygon-004-expected.html View 1 chunk +0 lines, -35 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-subpixel-rectangle-top.html View 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-subpixel-rectangle-top-expected.html View 1 chunk +0 lines, -19 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-subsequent-blocks.html View 1 chunk +0 lines, -26 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-subsequent-blocks-expected.html View 1 chunk +0 lines, -26 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-subtract-intervals-crash.html View 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-subtract-intervals-crash-expected.html View 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-text.html View 1 chunk +0 lines, -27 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-text-expected.html View 1 chunk +0 lines, -27 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-vertical-text.html View 1 chunk +0 lines, -39 lines 0 comments Download
D LayoutTests/fast/shapes/shape-inside/shape-inside-vertical-text-expected.html View 1 chunk +0 lines, -39 lines 0 comments Download
M LayoutTests/transitions/shape-transition.html View 1 2 2 chunks +1 line, -4 lines 0 comments Download
M LayoutTests/transitions/shape-transition-expected.txt View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M LayoutTests/virtual/stable/webexposed/nonstable-css-properties-expected.txt View 1 2 3 1 chunk +0 lines, -4 lines 0 comments Download
M LayoutTests/webexposed/css-properties-as-js-properties-expected.txt View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
M LayoutTests/webexposed/nonstable-css-properties.html View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M LayoutTests/webexposed/nonstable-css-properties-expected.txt View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
M Source/build/scripts/templates/StyleBuilderFunctions.cpp.tmpl View 1 chunk +0 lines, -1 line 0 comments Download
M Source/core/animation/css/CSSAnimatableValueFactory.cpp View 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/animation/css/CSSAnimations.cpp View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
M Source/core/animation/css/CSSPropertyEquality.cpp View 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/core.gypi View 1 2 3 4 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/css/CSSComputedStyleDeclaration.cpp View 1 2 3 4 2 chunks +0 lines, -3 lines 0 comments Download
M Source/core/css/CSSProperties.in View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
M Source/core/css/CSSProperty.cpp View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
M Source/core/css/CSSPropertyNames.in View 1 2 3 4 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/css/RuntimeCSSEnabled.cpp View 1 chunk +0 lines, -1 line 0 comments Download
M Source/core/css/parser/CSSPropertyParser.cpp View 1 2 3 4 2 chunks +1 line, -3 lines 0 comments Download
M Source/core/css/resolver/AnimatedStyleBuilder.cpp View 1 chunk +0 lines, -3 lines 0 comments Download
M Source/core/css/resolver/StyleBuilderCustom.cpp View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
M Source/core/css/resolver/StyleResourceLoader.cpp View 1 chunk +0 lines, -3 lines 0 comments Download
M Source/core/frame/UseCounter.cpp View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M Source/core/rendering/LayoutState.h View 4 chunks +0 lines, -4 lines 0 comments Download
M Source/core/rendering/LayoutState.cpp View 3 chunks +0 lines, -9 lines 0 comments Download
M Source/core/rendering/RenderBlock.h View 1 2 3 4 5 7 chunks +0 lines, -42 lines 0 comments Download
M Source/core/rendering/RenderBlock.cpp View 1 2 3 4 5 5 chunks +0 lines, -134 lines 0 comments Download
M Source/core/rendering/RenderBlockFlow.h View 2 3 1 chunk +0 lines, -3 lines 0 comments Download
M Source/core/rendering/RenderBlockFlow.cpp View 1 2 3 4 5 4 chunks +2 lines, -30 lines 0 comments Download
M Source/core/rendering/RenderBlockLineLayout.cpp View 1 2 3 4 5 6 8 chunks +4 lines, -249 lines 0 comments Download
M Source/core/rendering/RenderDeprecatedFlexibleBox.cpp View 1 2 3 4 2 chunks +1 line, -5 lines 0 comments Download
M Source/core/rendering/RenderFlexibleBox.cpp View 1 2 3 4 2 chunks +1 line, -5 lines 0 comments Download
M Source/core/rendering/RenderGrid.cpp View 1 2 3 4 2 chunks +1 line, -5 lines 0 comments Download
M Source/core/rendering/RenderObject.cpp View 2 chunks +0 lines, -2 lines 0 comments Download
M Source/core/rendering/RenderView.h View 1 chunk +0 lines, -2 lines 0 comments Download
M Source/core/rendering/line/BreakingContext.cpp View 1 2 3 4 5 2 chunks +2 lines, -6 lines 0 comments Download
M Source/core/rendering/line/BreakingContextInlineHeaders.h View 3 chunks +0 lines, -49 lines 0 comments Download
M Source/core/rendering/line/LineBreaker.h View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M Source/core/rendering/line/LineBreaker.cpp View 1 2 3 4 5 1 chunk +0 lines, -50 lines 0 comments Download
M Source/core/rendering/line/LineWidth.h View 2 chunks +0 lines, -3 lines 0 comments Download
M Source/core/rendering/line/LineWidth.cpp View 3 chunks +1 line, -26 lines 0 comments Download
D Source/core/rendering/shapes/ShapeInsideInfo.h View 1 chunk +0 lines, -129 lines 0 comments Download
D Source/core/rendering/shapes/ShapeInsideInfo.cpp View 1 chunk +0 lines, -127 lines 0 comments Download
M Source/core/rendering/style/RenderStyle.h View 1 2 3 4 2 chunks +0 lines, -16 lines 0 comments Download
M Source/core/rendering/style/RenderStyle.cpp View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
M Source/core/rendering/style/StyleRareNonInheritedData.h View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
M Source/core/rendering/style/StyleRareNonInheritedData.cpp View 1 2 3 4 3 chunks +0 lines, -3 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 25 (0 generated)
rwlbuis
Publish for feedback :)
3 years, 4 months ago (2014-03-26 20:45:45 UTC) #1
Zoltan
https://codereview.chromium.org/209443007/diff/90001/Source/core/rendering/RenderBlock.cpp File Source/core/rendering/RenderBlock.cpp (right): https://codereview.chromium.org/209443007/diff/90001/Source/core/rendering/RenderBlock.cpp#newcode1366 Source/core/rendering/RenderBlock.cpp:1366: bool RenderBlock::updateRegionsAndShapesLogicalSize(RenderFlowThread* flowThread) We could probably remove this function, ...
3 years, 4 months ago (2014-03-26 21:01:08 UTC) #2
rwlbuis
On 2014/03/26 21:01:08, Zoltan wrote: > https://codereview.chromium.org/209443007/diff/90001/Source/core/rendering/RenderBlock.cpp > File Source/core/rendering/RenderBlock.cpp (right): > > https://codereview.chromium.org/209443007/diff/90001/Source/core/rendering/RenderBlock.cpp#newcode1366 > ...
3 years, 4 months ago (2014-03-26 22:35:44 UTC) #3
Zoltan
lgtm
3 years, 4 months ago (2014-03-26 22:58:15 UTC) #4
Bem Jones-Bey (adobe)
Thanks for doing this! https://codereview.chromium.org/209443007/diff/130001/Source/core/frame/UseCounter.cpp File Source/core/frame/UseCounter.cpp (left): https://codereview.chromium.org/209443007/diff/130001/Source/core/frame/UseCounter.cpp#oldcode395 Source/core/frame/UseCounter.cpp:395: case CSSPropertyShapeInside: return 346; I ...
3 years, 4 months ago (2014-03-27 00:09:46 UTC) #5
eseidel
lgtm
3 years, 4 months ago (2014-03-27 20:48:37 UTC) #6
rwlbuis
The CQ bit was checked by rob.buis@samsung.com
3 years, 4 months ago (2014-03-27 21:21:02 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rob.buis@samsung.com/209443007/170001
3 years, 4 months ago (2014-03-27 21:21:07 UTC) #8
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
3 years, 4 months ago (2014-03-27 21:40:35 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: tryserver.blink on linux_blink_dbg
3 years, 4 months ago (2014-03-27 21:40:36 UTC) #10
rwlbuis
The CQ bit was checked by rob.buis@samsung.com
3 years, 4 months ago (2014-03-27 21:43:27 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rob.buis@samsung.com/209443007/170001
3 years, 4 months ago (2014-03-27 21:43:37 UTC) #12
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
3 years, 4 months ago (2014-03-27 22:28:59 UTC) #13
commit-bot: I haz the power
Try jobs failed on following builders: tryserver.blink on win_blink_rel
3 years, 4 months ago (2014-03-27 22:29:00 UTC) #14
rwlbuis
The CQ bit was checked by rob.buis@samsung.com
3 years, 4 months ago (2014-03-27 22:34:16 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rob.buis@samsung.com/209443007/170001
3 years, 4 months ago (2014-03-27 22:34:40 UTC) #16
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
3 years, 4 months ago (2014-03-27 23:57:05 UTC) #17
commit-bot: I haz the power
Try jobs failed on following builders: tryserver.blink on win_blink_rel
3 years, 4 months ago (2014-03-27 23:57:05 UTC) #18
rwlbuis
The CQ bit was checked by rob.buis@samsung.com
3 years, 4 months ago (2014-03-28 02:04:51 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rob.buis@samsung.com/209443007/170001
3 years, 4 months ago (2014-03-28 02:05:02 UTC) #20
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
3 years, 4 months ago (2014-03-28 02:36:06 UTC) #21
commit-bot: I haz the power
Try jobs failed on following builders: tryserver.blink on win_blink_rel
3 years, 4 months ago (2014-03-28 02:36:07 UTC) #22
rwlbuis
The CQ bit was checked by rob.buis@samsung.com
3 years, 4 months ago (2014-03-28 03:10:26 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rob.buis@samsung.com/209443007/170001
3 years, 4 months ago (2014-03-28 03:10:37 UTC) #24
commit-bot: I haz the power
3 years, 4 months ago (2014-03-28 03:56:27 UTC) #25
Message was sent while issue was closed.
Change committed as 170260
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973